Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/BaseAbstractHandler.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/BaseAbstractHandler.java	(revision 1111)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/BaseAbstractHandler.java	(revision 1112)
@@ -200,7 +200,7 @@
 		Command cmd = cmdService.getCommand(commandId);
 		IHandlerService handlerService = (IHandlerService)window.getService(IHandlerService.class);
 		
-		// Redefine the command supported parameters, without that each command must define the parameter "result_uuid" in each plugin.xml...
+		// Redefine the command supported parameters, without that each command must define the parameter "result_parameters_node_path" in each plugin.xml...
 		if(resultUUID != null)	{
 			Log.info("BaseAbstractHandler.executeCommand(): preparing the send of result UUID: " + resultUUID + ".");
 			try {
@@ -218,12 +218,12 @@
 					
 					@Override
 					public String getName() {
-						return TXMPreferences.RESULT_UUID;
+						return TXMPreferences.RESULT_PARAMETERS_NODE_PATH;
 					}
 					
 					@Override
 					public String getId() {
-						return TXMPreferences.RESULT_UUID;
+						return TXMPreferences.RESULT_PARAMETERS_NODE_PATH;
 					}
 				}};
 				cmd.define(cmd.getName(), cmd.getDescription(), cmd.getCategory(), parameters);
@@ -232,7 +232,7 @@
 				e.printStackTrace();
 			}
 			// pass the parameter value
-			params = Collections.singletonMap(TXMPreferences.RESULT_UUID, resultUUID);
+			params = Collections.singletonMap(TXMPreferences.RESULT_PARAMETERS_NODE_PATH, resultUUID);
 		}
 		
 		// Call the command with parameters
@@ -272,12 +272,12 @@
 	/**
 	 * Executes a command handler specified by its id and activates/deactivates the "send selection context".
 	 * @param commandId
-	 * @param resultUUID
+	 * @param resultParametersNodePath
 	 */
-	public static void executeSendToCommand(String commandId, String resultUUID) {
+	public static void executeSendToCommand(String commandId, String resultParametersNodePath) {
 		IContextService contextService = (IContextService) PlatformUI.getWorkbench().getAdapter(IContextService.class);
 		IContextActivation activationToken = contextService.activateContext(SEND_SELECTION_TO_COMMAND_CONTEXT_ID);
-		executeCommand(commandId, resultUUID);
+		executeCommand(commandId, resultParametersNodePath);
 		contextService.deactivateContext(activationToken);
 	}
 }
Index: tmp/org.txm.index.core/src/org/txm/index/core/functions/___Lexicon2.java
===================================================================
--- tmp/org.txm.index.core/src/org/txm/index/core/functions/___Lexicon2.java	(revision 1111)
+++ tmp/org.txm.index.core/src/org/txm/index/core/functions/___Lexicon2.java	(revision 1112)
@@ -109,21 +109,13 @@
 	}
 
 	/**
-	 * Creates a not computed lexicon from the specified uuid node name.
-	 * @param uuid
+	 * Creates a not computed lexicon from the specified parametersNodePath node name.
+	 * @param parametersNodePath
 	 */
-	public ___Lexicon2(String uuid)	{
-		super(uuid);
+	public ___Lexicon2(String parametersNodePath)	{
+		super(parametersNodePath);
 	}
 	
-	/**
-	 * 
-	 * @param uuid
-	 * @param parent
-	 */
-	public ___Lexicon2(String uuid, TXMResult parent)	{
-		super(uuid, parent);
-	}
 
 	
 	@Override
Index: tmp/org.txm.index.core/src/org/txm/index/core/functions/Lexicon.java
===================================================================
--- tmp/org.txm.index.core/src/org/txm/index/core/functions/Lexicon.java	(revision 1111)
+++ tmp/org.txm.index.core/src/org/txm/index/core/functions/Lexicon.java	(revision 1112)
@@ -110,20 +110,20 @@
 	}
 
 	/**
-	 * Creates a not computed lexicon from the specified uuid node name.
-	 * @param uuid
+	 * Creates a not computed lexicon from the specified parameters node.
+	 * @param parametersNodePath
 	 */
-	public Lexicon(String uuid)	{
-		this(uuid, null);
+	public Lexicon(String parametersNodePath)	{
+		this(parametersNodePath, null);
 	}
 	
 	/**
 	 * 
-	 * @param uuid
+	 * @param parametersNodePath
 	 * @param parent
 	 */
-	public Lexicon(String uuid, TXMResult parent)	{
-		super(uuid, parent);
+	public Lexicon(String parametersNodePath, TXMResult parent)	{
+		super(parametersNodePath, parent);
 	}
 
 	@Override
Index: tmp/org.txm.index.core/src/org/txm/index/core/functions/Index.java
===================================================================
--- tmp/org.txm.index.core/src/org/txm/index/core/functions/Index.java	(revision 1111)
+++ tmp/org.txm.index.core/src/org/txm/index/core/functions/Index.java	(revision 1112)
@@ -158,27 +158,18 @@
 	 * @param parent
 	 */
 	public Index(TXMResult parent) {
-		this(null, parent);
+		super(parent);
 	}
 
 	/**
 	 * 
-	 * @param uuid
+	 * @param parametersNodePath
 	 */
-	public Index(String uuid)	{
-		this(uuid, null);
+	public Index(String parametersNodePath)	{
+		super(parametersNodePath);
 	}
 	
-	/**
-	 * 
-	 * @param uuid
-	 * @param parent
-	 */
-	public Index(String uuid, TXMResult parent)	{
-		super(uuid, parent);
-	}
 
-
 	@Override
 	protected boolean _compute() throws Exception {
 		lines.clear();
Index: tmp/org.txm.referencer.core/src/org/txm/referencer/core/functions/Referencer.java
===================================================================
--- tmp/org.txm.referencer.core/src/org/txm/referencer/core/functions/Referencer.java	(revision 1111)
+++ tmp/org.txm.referencer.core/src/org/txm/referencer/core/functions/Referencer.java	(revision 1112)
@@ -154,10 +154,10 @@
 	
 	/**
 	 * Creates a not computed referencer.
-	 * @param uuid
+	 * @param parametersNodePath
 	 */
-	public Referencer(String uuid) {
-		super(uuid);
+	public Referencer(String parametersNodePath) {
+		super(parametersNodePath);
 	}
 
 	
Index: tmp/org.txm.cooccurrence.core/src/org/txm/cooccurrence/core/functions/Cooccurrence.java
===================================================================
--- tmp/org.txm.cooccurrence.core/src/org/txm/cooccurrence/core/functions/Cooccurrence.java	(revision 1111)
+++ tmp/org.txm.cooccurrence.core/src/org/txm/cooccurrence/core/functions/Cooccurrence.java	(revision 1112)
@@ -239,11 +239,11 @@
 	}
 
 	/**
-	 * Creates a not computed cooccurrence from the uuid node.
-	 * @param uuid
+	 * Creates a not computed cooccurrence from a parameters node.
+	 * @param parametersNodePath
 	 */
-	public Cooccurrence(String uuid)	{
-		super(uuid);
+	public Cooccurrence(String parametersNodePath)	{
+		super(parametersNodePath);
 	}
 
 
Index: tmp/org.txm.specificities.core/src/org/txm/specificities/core/functions/Specificities.java
===================================================================
--- tmp/org.txm.specificities.core/src/org/txm/specificities/core/functions/Specificities.java	(revision 1111)
+++ tmp/org.txm.specificities.core/src/org/txm/specificities/core/functions/Specificities.java	(revision 1112)
@@ -146,10 +146,10 @@
 	
 	/**
 	 * Creates a not computed Specificities.
-	 * @param uuid
+	 * @param parametersNodePath
 	 */
-	public Specificities(String uuid)	{
-		this(uuid, null);
+	public Specificities(String parametersNodePath)	{
+		this(parametersNodePath, null);
 	}
 	
 	/**
@@ -160,8 +160,8 @@
 	 * @throws CqiClientException the cqi client exception
 	 * @throws StatException the stat exception
 	 */
-	public Specificities(String uuid, LexicalTable parent) {
-		super(uuid, parent);
+	public Specificities(String parametersNodePath, LexicalTable parent) {
+		super(parametersNodePath, parent);
 	}
 	
 	
Index: tmp/org.txm.specificities.core/src/org/txm/specificities/core/functions/SpecificitiesSelection.java
===================================================================
--- tmp/org.txm.specificities.core/src/org/txm/specificities/core/functions/SpecificitiesSelection.java	(revision 1111)
+++ tmp/org.txm.specificities.core/src/org/txm/specificities/core/functions/SpecificitiesSelection.java	(revision 1112)
@@ -58,6 +58,8 @@
 	 */
 	protected double[][] selectedSpecificitiesIndex;
 
+	
+	
 	/**
 	 * Creates an empty SpecificitiesSelection.
 	 * @param parent
@@ -66,14 +68,25 @@
 		super(parent);
 	}
 
-	public SpecificitiesSelection(String uuid)	{
-		this(uuid, null);
+	/**
+	 * 
+	 * @param parametersNodePath
+	 */
+	public SpecificitiesSelection(String parametersNodePath)	{
+		this(parametersNodePath, null);
 	}
 
-	public SpecificitiesSelection(String uuid, Specificities parent)	{
-		super(uuid, parent);
+	/**
+	 * 
+	 * @param parametersNodePath
+	 * @param parent
+	 */
+	public SpecificitiesSelection(String parametersNodePath, Specificities parent)	{
+		super(parametersNodePath, parent);
 	}
 
+	// FIXME: SJ: why?!
+	@Override
 	public Specificities getParent() {
 		return (Specificities)super.getParent();
 	}
Index: tmp/org.txm.index.rcp/src/org/txm/index/rcp/handlers/ComputeIndex.java
===================================================================
--- tmp/org.txm.index.rcp/src/org/txm/index/rcp/handlers/ComputeIndex.java	(revision 1111)
+++ tmp/org.txm.index.rcp/src/org/txm/index/rcp/handlers/ComputeIndex.java	(revision 1112)
@@ -57,10 +57,10 @@
 
 		Index index = null;
 		
-		// From link: creating from UUID and preferences nodes
-		String uuid = event.getParameter(TXMPreferences.RESULT_UUID);
-		if (uuid != null && !uuid.isEmpty()) {
-			index = new Index(uuid);
+		// From link: creating from parameters node
+		String parametersNodePath = event.getParameter(TXMPreferences.RESULT_PARAMETERS_NODE_PATH);
+		if (parametersNodePath != null && !parametersNodePath.isEmpty()) {
+			index = new Index(parametersNodePath);
 		}
 		// From view result node
 		else	{
Index: tmp/org.txm.progression.core/src/org/txm/progression/core/functions/Progression.java
===================================================================
--- tmp/org.txm.progression.core/src/org/txm/progression/core/functions/Progression.java	(revision 1111)
+++ tmp/org.txm.progression.core/src/org/txm/progression/core/functions/Progression.java	(revision 1112)
@@ -155,10 +155,10 @@
 
 	/**
 	 * 
-	 * @param uuid
+	 * @param parametersNodePath
 	 */
-	public Progression(String uuid)	{
-		super(uuid);
+	public Progression(String parametersNodePath)	{
+		super(parametersNodePath);
 	}
 	
 	
Index: tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/Part.java
===================================================================
--- tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/Part.java	(revision 1111)
+++ tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/Part.java	(revision 1112)
@@ -49,8 +49,8 @@
 		this.userPersistable = false;
 	}
 	
-	public Part(String uuid) {
-		super(uuid); // build the subcorpus part
+	public Part(String parametersNodePath) {
+		super(parametersNodePath); // build the subcorpus part
 		
 		this.setVisible(false);
 		this.persistable = true;
Index: tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/Partition.java
===================================================================
--- tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/Partition.java	(revision 1111)
+++ tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/Partition.java	(revision 1112)
@@ -129,10 +129,10 @@
 
 	/**
 	 * 
-	 * @param uuid
+	 * @param parametersNodePath
 	 */
-	public Partition(String uuid)	{
-		super(uuid);
+	public Partition(String parametersNodePath)	{
+		super(parametersNodePath);
 	}
 	
 	/**
Index: tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/CQPCorpus.java
===================================================================
--- tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/CQPCorpus.java	(revision 1111)
+++ tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/CQPCorpus.java	(revision 1112)
@@ -76,10 +76,15 @@
 		super(partition);
 	}
 
-	public CQPCorpus(String uuid) {
-		super(uuid);
+	/**
+	 * 
+	 * @param parametersNodePath
+	 */
+	public CQPCorpus(String parametersNodePath) {
+		super(parametersNodePath);
 	}
 
+	
 	public static String getNextQueryCounter() {
 		QUERY_COUNTER++;
 		return QUERY_COUNTER.toString();
Index: tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/MainCorpus.java
===================================================================
--- tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/MainCorpus.java	(revision 1111)
+++ tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/MainCorpus.java	(revision 1112)
@@ -71,8 +71,7 @@
 	 * @throws CqiClientException
 	 *             the cqi client exception
 	 */
-	public MainCorpus(Project project) throws InvalidCqpIdException,
-	CqiClientException {
+	public MainCorpus(Project project) throws InvalidCqpIdException, CqiClientException {
 		super(project);
 	}
 	
@@ -99,11 +98,11 @@
 	 * @throws CqiClientException
 	 *             the cqi client exception
 	 */
-	public MainCorpus(String uuid) throws InvalidCqpIdException,
-	CqiClientException {
-		super(uuid);
+	public MainCorpus(String parametersNodePath) throws InvalidCqpIdException, CqiClientException {
+		super(parametersNodePath);
 	}
 
+	
 	/**
 	 * Check whether the ID is a valid CQP ID.
 	 * 
Index: tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/Subcorpus.java
===================================================================
--- tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/Subcorpus.java	(revision 1111)
+++ tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/Subcorpus.java	(revision 1112)
@@ -65,16 +65,29 @@
 	private SelectionResult selectionResult;
 	protected QueryResult qresult;
 
+	
+	/**
+	 * 
+	 * @param corpus
+	 */
 	public Subcorpus(CQPCorpus corpus) {
 		super(corpus);
 	}
 
+	/**
+	 * 
+	 * @param partition
+	 */
 	public Subcorpus(Partition partition) {
 		super(partition);
 	}
 
-	public Subcorpus(String uuid) {
-		super(uuid);
+	/**
+	 * 
+	 * @param parametersNodePath
+	 */
+	public Subcorpus(String parametersNodePath) {
+		super(parametersNodePath);
 	}
 
 	/**
Index: tmp/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/commands/RecodeCorpus.java
===================================================================
--- tmp/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/commands/RecodeCorpus.java	(revision 1111)
+++ tmp/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/commands/RecodeCorpus.java	(revision 1112)
@@ -114,9 +114,9 @@
 //		String txmhome = Toolbox.getTxmHomePath();
 
 		
-		project.getPreferences().getNode("import").put(ImportKeys.MULTITHREAD, "false"); //too soon
-		project.getPreferences().getNode("import").putBoolean(ImportKeys.DEBUG, Log.getLevel().intValue() < Level.WARNING.intValue()); // need debug for experimental stuff
-		project.getPreferences().getNode("import").put(ImportKeys.UPDATECORPUS, "true");
+		project.getPreferencesScope().getNode("import").put(ImportKeys.MULTITHREAD, "false"); //too soon
+		project.getPreferencesScope().getNode("import").putBoolean(ImportKeys.DEBUG, Log.getLevel().intValue() < Level.WARNING.intValue()); // need debug for experimental stuff
+		project.getPreferencesScope().getNode("import").put(ImportKeys.UPDATECORPUS, "true");
 
 //		monitor.setTaskName("Updating corpus");
 //		File scriptDir = new File(txmhome, "scripts/groovy/user/org/txm/scripts/importer/xtz");
Index: tmp/org.txm.ca.core/src/org/txm/ca/core/functions/Eigenvalues.java
===================================================================
--- tmp/org.txm.ca.core/src/org/txm/ca/core/functions/Eigenvalues.java	(revision 1111)
+++ tmp/org.txm.ca.core/src/org/txm/ca/core/functions/Eigenvalues.java	(revision 1112)
@@ -28,15 +28,15 @@
 	/**
 	 * @param parent
 	 */
-	public Eigenvalues(String uuid) {
-		this(uuid, null);
+	public Eigenvalues(String parametersNodePath) {
+		this(parametersNodePath, null);
 	}
 
 	/**
 	 * @param parent
 	 */
-	public Eigenvalues(String uuid, TXMResult parent) {
-		super(uuid, parent);
+	public Eigenvalues(String parametersNodePath, TXMResult parent) {
+		super(parametersNodePath, parent);
 		this.setVisible(false);
 	}
 
Index: tmp/org.txm.ca.core/src/org/txm/ca/core/functions/CA.java
===================================================================
--- tmp/org.txm.ca.core/src/org/txm/ca/core/functions/CA.java	(revision 1111)
+++ tmp/org.txm.ca.core/src/org/txm/ca/core/functions/CA.java	(revision 1112)
@@ -138,8 +138,8 @@
 	 * @param lexicalTable the lexical table
 	 * @throws StatException stat exception if the structure can not be created in R statistics engine.
 	 */
-	public CA(String uuid) {
-		this(uuid, null);
+	public CA(String parametersNodePath) {
+		this(parametersNodePath, null);
 	}
 	
 	/**
@@ -148,8 +148,8 @@
 	 * @param lexicalTable the lexical table
 	 * @throws StatException stat exception if the structure can not be created in R statistics engine.
 	 */
-	public CA(String uuid, LexicalTable lexicalTable) {
-		super(uuid, lexicalTable);
+	public CA(String parametersNodePath, LexicalTable lexicalTable) {
+		super(parametersNodePath, lexicalTable);
 	}
 
 	@Override
